Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 403343 - app-misc/mc-4.8.1-r1 fails to build tests
Summary: app-misc/mc-4.8.1-r1 fails to build tests
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Alex Alexander (RETIRED)
URL: https://www.midnight-commander.org/ti...
Whiteboard:
Keywords:
Depends on:
Blocks: 401157
  Show dependency tree
 
Reported: 2012-02-13 05:31 UTC by Markus Meier
Modified: 2012-02-13 11:36 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
app-misc:mc-4.8.1-r1:20120211-175439.log (app-misc:mc-4.8.1-r1:20120211-175439.log,196.35 KB, text/plain)
2012-02-13 05:31 UTC, Markus Meier
Details
mc-4.8.1-muldefs.patch (mc-4.8.1-muldefs.patch,1010 bytes, patch)
2012-02-13 08:46 UTC, Sergei Trofimovich
Details | Diff
mc-4.8.1-muldefs.patch (mc-4.8.1-muldefs.patch,1.34 KB, patch)
2012-02-13 09:28 UTC, Sergei Trofimovich
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Meier gentoo-dev 2012-02-13 05:31:59 UTC
Created attachment 301723 [details]
app-misc:mc-4.8.1-r1:20120211-175439.log

this is on arm (armin76 confirmed it on alpha), it's a regression compared to current stable.

 * Package:    app-misc/mc-4.8.1-r1
 * Repository: gentoo
 * Maintainer: wired@gentoo.org slyfox@gentoo.org,desktop-misc@gentoo.org
 * USE:        X arm edit elibc_glibc gpm kernel_linux ncurses nls test userland_GNU xdg
 * FEATURES:   sandbox test userpriv usersandbox

==================
All 4 tests passed
==================
make[4]: Leaving directory `/var/tmp/portage/app-misc/mc-4.8.1-r1/work/mc-4.8.1/tests/lib'
make[3]: Leaving directory `/var/tmp/portage/app-misc/mc-4.8.1-r1/work/mc-4.8.1/tests/lib'
Making check in mcconfig
make[3]: Entering directory `/var/tmp/portage/app-misc/mc-4.8.1-r1/work/mc-4.8.1/tests/lib/mcconfig'
make  config_string user_configs_path
make[4]: Entering directory `/var/tmp/portage/app-misc/mc-4.8.1-r1/work/mc-4.8.1/tests/lib/mcconfig'
  CC     config_string.o
armv5tel-softfloat-linux-gnueabi-gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../../..    -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I../../.. -DWORKDIR=\"/var/tmp/portage/app-misc/mc-4.8.1-r1/work/mc-4.8.1/tests/lib/mcconfig\"  -z muldefs -Wcomment -Wdeclaration-after-statement -Wfloat-equal -Wformat -Wformat-security -Wimplicit -Wignored-qualifiers -Wmissing-braces -Wmissing-declarations -Wmissing-parameter-type -Wmissing-prototypes -Wnested-externs -Wno-long-long -Wno-unreachable-code -Wparentheses -Wpointer-sign -Wreturn-type -Wsequence-point -Wshadow -Wsign-compare -Wswitch -Wtype-limits -Wuninitialized -Wunused-function -Wunused-label -Wunused-parameter -Wunused-result -Wunused-value -Wunused-variable -Wwrite-strings  -O2 -march=armv5te -pipe -c config_string.c
armv5tel-softfloat-linux-gnueabi-gcc: muldefs: No such file or directory
make[4]: *** [config_string.o] Error 1
make[4]: Leaving directory `/var/tmp/portage/app-misc/mc-4.8.1-r1/work/mc-4.8.1/tests/lib/mcconfig'
make[3]: *** [check-am] Error 2
make[3]: Leaving directory `/var/tmp/portage/app-misc/mc-4.8.1-r1/work/mc-4.8.1/tests/lib/mcconfig'
make[2]: *** [check-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/app-misc/mc-4.8.1-r1/work/mc-4.8.1/tests/lib'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/app-misc/mc-4.8.1-r1/work/mc-4.8.1/tests'
make: *** [check-recursive] Error 1
 * ERROR: app-misc/mc-4.8.1-r1 failed (test phase):
 *   Make check failed. See above for details.
 *
 * Call stack:
 *          ebuild.sh, line   85:  Called src_test
 *        environment, line 2500:  Called _eapi0_src_test
 *   phase-helpers.sh, line  550:  Called die
 * The specific snippet of code:
 *                      has test $FEATURES && die "Make check failed. See above for details."


Portage 2.1.10.44 (default/linux/arm/10.0/desktop, gcc-4.5.3, glibc-2.13-r4, 3.2.2 armv5tel)
=================================================================
System uname: Linux-3.2.2-armv5tel-Feroceon_88FR131_rev_1_-v5l-with-gentoo-2.0.3
Timestamp of tree: Wed, 08 Feb 2012 21:00:01 +0000
ccache version 3.1.6 [disabled]
app-shells/bash:          4.1_p9
dev-lang/python:          2.5.4-r4, 2.6.6-r2, 2.7.2-r3
dev-util/ccache:          3.1.6
dev-util/cmake:           2.8.4-r1
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.4_p6-r1, 1.5-r1, 1.6.3-r1, 1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.4.5, 4.5.3-r1
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.13-r4
Repositories: gentoo
ACCEPT_KEYWORDS="arm"
ACCEPT_LICENSE="* -@EULA"
CBUILD="armv5tel-softfloat-linux-gnueabi"
CFLAGS="-O2 -march=armv5te -pipe"
CHOST="armv5tel-softfloat-linux-gnueabi"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/bind /var/qmail/alias /var/qmail/control /var/vpopmail/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=armv5te -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n"
FEATURES="assume-digests binpkg-logs collision-protect distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://minil/gentoo-portage"
USE="X a52 aac acl acpi alsa apache2 arm berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dts dvdr emboss encode exif fam firefox flac fortran gdbm gdu gif gpm gtk iconv jpeg kpathsea lcms ldap libnotify mad mng modules mp3 mp4 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf png policykit ppds pppd qt3support qt4 readline sdl session spell ssl startup-notification svg sysfs tcpd test tiff truetype udev unicode usb vorbis xcb xml xorg xulrunner xv xvid zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev omapfb dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Sergei Trofimovich gentoo-dev 2012-02-13 08:46:27 UTC
Created attachment 301735 [details, diff]
mc-4.8.1-muldefs.patch

Dropped -z muldefs from CFLAGS.
It sits in LDFLAGS already.

WARNING: i didn't test patch yet
Comment 2 Sergei Trofimovich gentoo-dev 2012-02-13 09:28:40 UTC
Created attachment 301745 [details, diff]
mc-4.8.1-muldefs.patch

Updated patch to catch the same problem in another place.
Comment 3 Sergei Trofimovich gentoo-dev 2012-02-13 11:36:04 UTC
(In reply to comment #2)
> Created attachment 301745 [details, diff] [details, diff]
> mc-4.8.1-muldefs.patch
> 
> Updated patch to catch the same problem in another place.

Ok. It was not enough. arm's gcc does not understand -z muldefs, only '-Wl,-z,muldefs'. On alpha strct stat in not just a thing of integral fields
so one of tests didn't compile.

Both problems are fixed. Fixes touch only tests/ subsystem, so I didn't revbump anything.

> 13 Feb 2012; Sergei Trofimovich <slyfox@gentoo.org>
> +files/mc-4.8.1-fix-vfs-test.patch, +files/mc-4.8.1-muldefs-in.patch,
> +files/mc-4.8.1-muldefs.patch, mc-4.8.1-r1.ebuild, mc-4.8.1-r2.ebuild:
> Fix FEATURES=test on arm and alpha (bug #403343 by Markus Meier).

Thanks for the report, Markus!